Discover Options
curl --request GET \
--url https://api.blockradar.co/v2/wallets/{id}/virtual-accounts/discovery \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v2/wallets/{id}/virtual-accounts/discovery"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v2/wallets/{id}/virtual-accounts/discovery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Successful",
"data": {
"assets": [
{
"asset": {
"id": "ae455f23-3824-4125-baab-d158315cbcbd",
"name": "USD Coin",
"symbol": "USDC",
"logoUrl": "https://cdn.example.com/assets/usdc.svg",
"blockchain": {
"id": "7773c3f9-f35d-4a36-9d85-5f4c537cd097",
"name": "Ethereum",
"symbol": "ETH",
"slug": "ethereum",
"tokenStandard": "ERC20",
"logoUrl": "https://cdn.example.com/blockchains/ethereum.svg"
}
},
"currencies": [
"NGN"
]
}
],
"currencies": {
"NGN": {
"code": "NGN",
"currency": "NGN",
"shortName": "Naira",
"name": "Nigerian Naira",
"symbol": "₦"
}
}
}
}v2
Discover Options
Returns the virtual account options available for the selected currency and provider context.
GET
/
v2
/
wallets
/
{id}
/
virtual-accounts
/
discovery
Discover Options
Authorizations
Path Parameters
Wallet identifier.
Query Parameters
Optional provider slug. Omit it to let Blockradar select an eligible provider.
⌘I

